#514 closed enhancement

Add timeslice exhaust to Classic API

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: lowest Milestone: 4.7
Component: score Version: 4.6
Severity: minor Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description (last modified by Gedare Bloom)

The POSIX timeslice exhaustion timeslice algorithm is not
made available via the Classic API. This patch modifies
the task mode to make it available. It is against the
current CVS tree but can probably be applied with some
minor tweaks against older source.

I was working on the road with a laptop and no compiler
to do this and haven't tried to compile it yet. Feedback is appreciated.

Release:
CVS Trunk

Attachments (1)

timeslice_exhaust.diff (13.5 KB) - added by Joel Sherrill on Dec 3, 2006 at 1:31:13 PM.
timeslice_exhaust.diff

Download all attachments as: .zip

Change History (3)

comment:1 Changed on Oct 22, 2003 at 4:30:00 PM by Joel Sherrill

The POSIX timeslice exhaustion timeslice algorithm is not
made available via the Classic API. This patch modifies
the task mode to make it available. It is against the
current CVS tree but can probably be applied with some
minor tweaks against older source.

I was working on the road with a laptop and no compiler
to do this and haven't tried to compile it yet. Feedback is appreciated.

Release:
CVS Trunk

Changed on Dec 3, 2006 at 1:31:13 PM by Joel Sherrill

Attachment: timeslice_exhaust.diff added

timeslice_exhaust.diff

comment:2 Changed on Nov 22, 2014 at 2:47:26 PM by Gedare Bloom

Description: modified (diff)
Milestone: 24.7
Resolution: fixed
Status: assignedclosed
Version: unknown4.6
Note: See TracTickets for help on using tickets.